Skip to main content

Reading locations

List​

GET /v2/agendas/{agendaUID}/locations

In brief​

  • agendaUID is the unique identifier of the agenda where the locations are referenced
  • Read authentication or access token authentication is required
  • The response contains a segment of the complete location directory of the agenda. If the total exceeds the number of locations returned in a single call, a read loop will need to be implemented.

Parameters​

Filters​

KeyTypeDescriptionPossible values / Example
updatedAt.gtedateReturns locations updated after this dateFormat: YYYY-MM-DD or YYYY-MM-DDTHH:MM:SS+ZZZZ
updatedAt.ltedateReturns locations updated before this dateSame
createdAt.gtedateReturns locations created after this dateSame
createdAt.ltedateReturns locations created before this dateSame
searchstringText search query on locationsExample: "musée"
stateintegerFilter by verification status0 (unverified), 1 (verified)

Content​

KeyTypeDescriptionPossible values / Example
detailedbooleanReturns all fields for locationstrue or false
KeyTypeDescriptionPossible values / Example
sizeintegerMaximum number of locations to returnExample: 20
afterstringCursor for paginationValue provided in the previous response (after)
orderstringSort ordername.asc, name.desc, createdAt.asc, createdAt.desc

Response​

The response body has three keys:

  • locations: list of locations matching the criteria.
  • total: total number of results.
  • after: value to use for the next page.

Read a location​

By its unique identifier (uid)​

GET /v2/agendas/{agendaUID}/locations/{locationUID}

The response will contain all available data for the location.

Note: to simply check whether the location exists, use the HEAD method, which will avoid unnecessary data transfer.

By an external identifier (extId)​

  1. If no specific key is associated with the external identifier ("default" key):
/v2/agendas/{agendaUID}/locations/ext/{value}
  1. If the external identifier is associated with a key
/v2/agendas/{agendaUID}/locations/ext/{key}/{velue}